Index: doc/latex/libKF_8h__incl.eps
===================================================================
--- doc/latex/libKF_8h__incl.eps (revision 30)
+++ doc/latex/libKF_8h__incl.eps (revision 37)
@@ -182,8 +182,8 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 406 240
+%%PageBoundingBox: 36 36 393 240
 %%PageOrientation: Portrait
 gsave
-36 36 406 240 boxprim clip newpath
+36 36 393 240 boxprim clip newpath
 0 0 1 beginpage
 1 1 set_scale 0 rotate 40 40 translate
@@ -191,6 +191,6 @@
 newpath -4 -4 moveto
 -4 200 lineto
-366 200 lineto
-366 -4 lineto
+353 200 lineto
+353 -4 lineto
 closepath fill
 1 setlinewidth
@@ -198,46 +198,46 @@
 newpath -4 -4 moveto
 -4 200 lineto
-366 200 lineto
-366 -4 lineto
+353 200 lineto
+353 -4 lineto
 closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 0 174 moveto
-0 195 lineto
-160 195 lineto
-160 174 lineto
+newpath 22 174 moveto
+22 195 lineto
+182 195 lineto
+182 174 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 0 174 moveto
-0 195 lineto
-160 195 lineto
-160 174 lineto
+newpath 22 174 moveto
+22 195 lineto
+182 195 lineto
+182 174 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-80 181 moveto 144 -0.5 (work/mixpp/bdm/estim/libKF.h) alignedtext
+102 181 moveto 144 -0.5 (work/mixpp/bdm/estim/libKF.h) alignedtext
 grestore
 % Node2
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 92 0 moveto
-92 21 lineto
-167 21 lineto
-167 0 lineto
+newpath 81 0 moveto
+81 21 lineto
+156 21 lineto
+156 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 92 0 moveto
-92 21 lineto
-167 21 lineto
-167 0 lineto
+newpath 81 0 moveto
+81 21 lineto
+156 21 lineto
+156 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-129 7 moveto 59 -0.5 (itpp/itbase.h) alignedtext
+118 7 moveto 59 -0.5 (itpp/itbase.h) alignedtext
 grestore
 % Node1->Node2
@@ -246,31 +246,31 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 63 174 moveto
-52 165 38 153 31 138 curveto
-28 129 29 125 31 116 curveto
-39 87 43 79 62 58 curveto
-73 45 88 34 101 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 102.958 28.916 moveto
-110 21 lineto
-99.5586 22.7969 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 102.958 28.916 moveto
-110 21 lineto
-99.5586 22.7969 lineto
+newpath 56 174 moveto
+37 167 16 156 5 138 curveto
+0 129 4 125 5 116 curveto
+10 89 7 78 24 58 curveto
+37 43 55 32 72 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 74.0151 27.9636 moveto
+82 21 lineto
+71.4153 21.4643 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 74.0151 27.9636 moveto
+82 21 lineto
+71.4153 21.4643 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 40 117 120 137 ]
+[ /Rect [ 14 117 94 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 40 117 120 137 ]
+[ /Rect [ 14 117 94 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -278,20 +278,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 40 116 moveto
-40 137 lineto
-120 137 lineto
-120 116 lineto
+newpath 14 116 moveto
+14 137 lineto
+94 137 lineto
+94 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 40 116 moveto
-40 137 lineto
-120 137 lineto
-120 116 lineto
+newpath 14 116 moveto
+14 137 lineto
+94 137 lineto
+94 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-80 123 moveto 64 -0.5 (../stat/libFN.h) alignedtext
+54 123 moveto 64 -0.5 (../stat/libFN.h) alignedtext
 grestore
 % Node1->Node3
@@ -300,28 +300,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 80 174 moveto
-80 166 80 156 80 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 83.5001 147 moveto
-80 137 lineto
-76.5001 147 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 83.5001 147 moveto
-80 137 lineto
-76.5001 147 lineto
+newpath 93 174 moveto
+86 165 77 154 69 145 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 71.2191 142.221 moveto
+62 137 lineto
+65.9511 146.831 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 71.2191 142.221 moveto
+62 137 lineto
+65.9511 146.831 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 138 117 214 137 ]
+[ /Rect [ 112 117 188 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 138 117 214 137 ]
+[ /Rect [ 112 117 188 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -329,20 +329,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 138 116 moveto
-138 137 lineto
-215 137 lineto
-215 116 lineto
+newpath 112 116 moveto
+112 137 lineto
+189 137 lineto
+189 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 138 116 moveto
-138 137 lineto
-215 137 lineto
-215 116 lineto
+newpath 112 116 moveto
+112 137 lineto
+189 137 lineto
+189 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-176 123 moveto 61 -0.5 (../stat/libEF.h) alignedtext
+150 123 moveto 61 -0.5 (../stat/libEF.h) alignedtext
 grestore
 % Node1->Node5
@@ -351,18 +351,69 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 99 174 moveto
-113 165 134 152 150 142 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 151.958 144.916 moveto
-159 137 lineto
-148.559 138.797 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 151.958 144.916 moveto
-159 137 lineto
-148.559 138.797 lineto
+newpath 111 174 moveto
+118 165 127 154 135 145 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 138.049 146.831 moveto
+142 137 lineto
+132.781 142.221 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 138.049 146.831 moveto
+142 137 lineto
+132.781 142.221 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 233 117 327 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 233 117 327 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 233 116 moveto
+233 137 lineto
+327 137 lineto
+327 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 233 116 moveto
+233 137 lineto
+327 137 lineto
+327 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+280 123 moveto 78 -0.5 (../math/chmat.h) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 136 174 moveto
+166 164 209 150 239 140 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 240.427 143.226 moveto
+249 137 lineto
+238.416 136.521 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 240.427 143.226 moveto
+249 137 lineto
+238.416 136.521 lineto
 closepath stroke
 grestore
@@ -372,29 +423,29 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 75 116 moveto
-68 102 60 76 69 58 curveto
-75 44 87 34 99 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 100.958 28.916 moveto
-108 21 lineto
-97.5586 22.7969 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 100.958 28.916 moveto
-108 21 lineto
-97.5586 22.7969 lineto
+newpath 45 116 moveto
+35 102 20 76 31 58 curveto
+40 43 56 32 72 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 73.2834 28.2598 moveto
+81 21 lineto
+70.4404 21.8631 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 73.2834 28.2598 moveto
+81 21 lineto
+70.4404 21.8631 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 78 59 128 79 ]
+[ /Rect [ 40 59 90 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 78 59 128 79 ]
+[ /Rect [ 40 59 90 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -402,20 +453,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 78 58 moveto
-78 79 lineto
-129 79 lineto
-129 58 lineto
+newpath 40 58 moveto
+40 79 lineto
+91 79 lineto
+91 58 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 78 58 moveto
-78 79 lineto
-129 79 lineto
-129 58 lineto
+newpath 40 58 moveto
+40 79 lineto
+91 79 lineto
+91 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-103 65 moveto 35 -0.5 (libBM.h) alignedtext
+65 65 moveto 35 -0.5 (libBM.h) alignedtext
 grestore
 % Node3->Node4
@@ -424,18 +475,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 84 116 moveto
-87 108 91 97 95 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 98.1369 89.5596 moveto
-99 79 lineto
-91.7402 86.7166 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 98.1369 89.5596 moveto
-99 79 lineto
-91.7402 86.7166 lineto
+newpath 56 116 moveto
+57 108 59 98 61 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 64.4708 89.4922 moveto
+63 79 lineto
+57.6067 88.1194 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64.4708 89.4922 moveto
+63 79 lineto
+57.6067 88.1194 lineto
 closepath stroke
 grestore
@@ -445,18 +496,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 108 58 moveto
-112 50 116 39 121 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 124.137 31.5596 moveto
-125 21 lineto
-117.74 28.7166 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 124.137 31.5596 moveto
-125 21 lineto
-117.74 28.7166 lineto
+newpath 75 58 moveto
+83 49 93 38 102 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 105.049 30.8306 moveto
+109 21 lineto
+99.7809 26.221 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 105.049 30.8306 moveto
+109 21 lineto
+99.7809 26.221 lineto
 closepath stroke
 grestore
@@ -466,18 +517,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 171 116 moveto
-163 97 147 55 137 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 140.26 28.7166 moveto
-133 21 lineto
-133.863 31.5596 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 140.26 28.7166 moveto
-133 21 lineto
-133.863 31.5596 lineto
+newpath 147 116 moveto
+144 106 140 92 137 80 curveto
+132 63 127 45 123 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 126.393 30.1194 moveto
+121 21 lineto
+119.529 31.4922 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 126.393 30.1194 moveto
+121 21 lineto
+119.529 31.4922 lineto
 closepath stroke
 grestore
@@ -487,28 +539,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 162 116 moveto
-151 107 136 95 124 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 126.1 82.2 moveto
-116 79 lineto
-121.9 87.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 126.1 82.2 moveto
-116 79 lineto
-121.9 87.8 lineto
+newpath 134 116 moveto
+121 107 103 94 88 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 90.1 82.2 moveto
+80 79 lineto
+85.9 87.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 90.1 82.2 moveto
+80 79 lineto
+85.9 87.8 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 184 59 272 79 ]
+[ /Rect [ 236 59 324 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 184 59 272 79 ]
+[ /Rect [ 236 59 324 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -516,20 +568,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 184 58 moveto
-184 79 lineto
-273 79 lineto
-273 58 lineto
+newpath 236 58 moveto
+236 79 lineto
+325 79 lineto
+325 58 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 184 58 moveto
-184 79 lineto
-273 79 lineto
-273 58 lineto
+newpath 236 58 moveto
+236 79 lineto
+325 79 lineto
+325 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-228 65 moveto 73 -0.5 (../math/libDC.h) alignedtext
+280 65 moveto 73 -0.5 (../math/libDC.h) alignedtext
 grestore
 % Node5->Node6
@@ -538,49 +590,49 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 186 116 moveto
-193 107 204 96 212 87 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 215.049 88.8306 moveto
+newpath 175 116 moveto
+195 106 225 93 248 83 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 249.283 86.2598 moveto
+257 79 lineto
+246.44 79.8631 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 249.283 86.2598 moveto
+257 79 lineto
+246.44 79.8631 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 146 59 218 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 146 59 218 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 146 58 moveto
+146 79 lineto
 219 79 lineto
-209.781 84.221 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 215.049 88.8306 moveto
+219 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 146 58 moveto
+146 79 lineto
 219 79 lineto
-209.781 84.221 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 290 59 362 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 290 59 362 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 290 58 moveto
-290 79 lineto
-363 79 lineto
-363 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 290 58 moveto
-290 79 lineto
-363 79 lineto
-363 58 lineto
+219 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-326 65 moveto 57 -0.5 (../itpp_ext.h) alignedtext
+182 65 moveto 57 -0.5 (../itpp_ext.h) alignedtext
 grestore
 % Node5->Node7
@@ -589,18 +641,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 205 116 moveto
-229 106 264 93 290 83 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 292.015 85.9636 moveto
-300 79 lineto
-289.415 79.4643 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 292.015 85.9636 moveto
-300 79 lineto
-289.415 79.4643 lineto
+newpath 156 116 moveto
+160 108 166 97 171 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 174.203 89.4414 moveto
+176 79 lineto
+168.084 86.0418 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 174.203 89.4414 moveto
+176 79 lineto
+168.084 86.0418 lineto
 closepath stroke
 grestore
@@ -610,18 +662,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 209 58 moveto
-194 49 172 36 155 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 156.441 22.7969 moveto
+newpath 249 58 moveto
+222 48 184 34 156 24 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 156.584 20.5212 moveto
 146 21 lineto
-153.042 28.916 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 156.441 22.7969 moveto
+154.573 27.2259 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 156.584 20.5212 moveto
 146 21 lineto
-153.042 28.916 lineto
+154.573 27.2259 lineto
 closepath stroke
 grestore
@@ -631,18 +683,61 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 290 58 moveto
-257 49 208 35 173 24 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 173.584 20.5212 moveto
-163 21 lineto
-171.573 27.2259 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 173.584 20.5212 moveto
-163 21 lineto
-171.573 27.2259 lineto
+newpath 170 58 moveto
+160 49 147 37 136 28 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 138.546 25.5962 moveto
+129 21 lineto
+133.596 30.546 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 138.546 25.5962 moveto
+129 21 lineto
+133.596 30.546 lineto
+closepath stroke
+grestore
+% Node8->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 299 116 moveto
+320 102 349 78 333 58 curveto
+312 32 223 19 166 15 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 166.299 11.5125 moveto
+156 14 lineto
+165.602 18.4778 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 166.299 11.5125 moveto
+156 14 lineto
+165.602 18.4778 lineto
+closepath stroke
+grestore
+% Node8->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 280 116 moveto
+280 108 280 98 280 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 283.5 89 moveto
+280 79 lineto
+276.5 89 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 283.5 89 moveto
+280 79 lineto
+276.5 89 lineto
 closepath stroke
 grestore
@@ -654,5 +749,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 406 240
+%%BoundingBox: 36 36 393 240
 end
 restore
Index: doc/latex/chmat_8h__incl.eps
===================================================================
--- doc/latex/chmat_8h__incl.eps (revision 37)
+++ doc/latex/chmat_8h__incl.eps (revision 37)
@@ -0,0 +1,348 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.12 (Tue Sep  4 16:56:48 UTC 2007)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw aligned label in bounding box aligned to current point
+/alignedtext {			% width adj text
+	/text exch def
+	/adj exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			text stringwidth pop adj mul 0 rmoveto
+		} if
+		[] 0 setdash
+		text show
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 212 182
+%%PageOrientation: Portrait
+gsave
+36 36 212 182 boxprim clip newpath
+0 0 1 beginpage
+1 1 set_scale 0 rotate 40 40 translate
+0.000 0.000 1.000 graphcolor
+newpath -4 -4 moveto
+-4 142 lineto
+172 142 lineto
+172 -4 lineto
+closepath fill
+1 setlinewidth
+0.000 0.000 1.000 graphcolor
+newpath -4 -4 moveto
+-4 142 lineto
+172 142 lineto
+172 -4 lineto
+closepath stroke
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 116 moveto
+0 137 lineto
+169 137 lineto
+169 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 116 moveto
+0 137 lineto
+169 137 lineto
+169 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+84 123 moveto 153 -0.5 (work/mixpp/bdm/math/chmat.h) alignedtext
+grestore
+% Node2
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 47 0 moveto
+47 21 lineto
+122 21 lineto
+122 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 47 0 moveto
+47 21 lineto
+122 21 lineto
+122 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+84 7 moveto 59 -0.5 (itpp/itbase.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 82 116 moveto
+80 106 78 92 77 80 curveto
+77 70 77 67 77 58 curveto
+78 49 79 39 80 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 83.4708 31.4922 moveto
+82 21 lineto
+76.6067 30.1194 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 83.4708 31.4922 moveto
+82 21 lineto
+76.6067 30.1194 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 86 59 136 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDC_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 86 59 136 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDC_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 86 58 moveto
+86 79 lineto
+137 79 lineto
+137 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 86 58 moveto
+86 79 lineto
+137 79 lineto
+137 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+111 65 moveto 35 -0.5 (libDC.h) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 89 116 moveto
+93 108 98 97 102 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 105.137 89.5596 moveto
+106 79 lineto
+98.7402 86.7166 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 105.137 89.5596 moveto
+106 79 lineto
+98.7402 86.7166 lineto
+closepath stroke
+grestore
+% Node3->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 106 58 moveto
+102 50 97 39 93 30 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 96.2598 28.7166 moveto
+89 21 lineto
+89.8631 31.5596 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 96.2598 28.7166 moveto
+89 21 lineto
+89.8631 31.5596 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 212 182
+end
+restore
+%%EOF
Index: doc/latex/classeEF__inherit__graph.md5
===================================================================
--- doc/latex/classeEF__inherit__graph.md5 (revision 30)
+++ doc/latex/classeEF__inherit__graph.md5 (revision 37)
@@ -1,1 +1,1 @@
-60b68f33d7fec94e8864fa9fee8e41db
+9cca1dd92aaf44a9062153e8250b1397
Index: doc/latex/classKalmanCh__inherit__graph.md5
===================================================================
--- doc/latex/classKalmanCh__inherit__graph.md5 (revision 37)
+++ doc/latex/classKalmanCh__inherit__graph.md5 (revision 37)
@@ -0,0 +1,1 @@
+1926469180334c0286bf2a219f3dface
Index: doc/latex/classenorm__inherit__graph.md5
===================================================================
--- doc/latex/classenorm__inherit__graph.md5 (revision 30)
+++ doc/latex/classenorm__inherit__graph.md5 (revision 37)
@@ -1,1 +1,1 @@
-8ef00ac1e18a6d1103fe8e82a9343beb
+d3183d8236954e3348bb76edfca26b96
Index: doc/latex/classsqmat__inherit__graph.md5
===================================================================
--- doc/latex/classsqmat__inherit__graph.md5 (revision 33)
+++ doc/latex/classsqmat__inherit__graph.md5 (revision 37)
@@ -1,1 +1,1 @@
-26f8c5bd5e0f099b74d5f4558a6b3fc3
+f53b9d614985d3c6900276ccc18d4687
Index: doc/latex/classchmat__inherit__graph.md5
===================================================================
--- doc/latex/classchmat__inherit__graph.md5 (revision 37)
+++ doc/latex/classchmat__inherit__graph.md5 (revision 37)
@@ -0,0 +1,1 @@
+6d00d2f27e821047f408be13c5398bf0
Index: doc/latex/chmat_8h__dep__incl.md5
===================================================================
--- doc/latex/chmat_8h__dep__incl.md5 (revision 37)
+++ doc/latex/chmat_8h__dep__incl.md5 (revision 37)
@@ -0,0 +1,1 @@
+cee37396ce1aca85d071b99301e0d3f0
Index: doc/latex/libKF_8h__incl.md5
===================================================================
--- doc/latex/libKF_8h__incl.md5 (revision 30)
+++ doc/latex/libKF_8h__incl.md5 (revision 37)
@@ -1,1 +1,1 @@
-09b5a7b19b7e4b952b7a2ad234f3b89e
+c045c8ad09e14cb7f55d16d4592ec7c4
Index: doc/latex/chmat_8h__incl.md5
===================================================================
--- doc/latex/chmat_8h__incl.md5 (revision 37)
+++ doc/latex/chmat_8h__incl.md5 (revision 37)
@@ -0,0 +1,1 @@
+d6f5941e722ac60d96e9afd670160870
